SSTC/Controllers/AccountantController.cs
using SSTC.Entity;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Rotativa;
using System.Deployment.Internal;
using SSTC.Models;
using Microsoft.EntityFrameworkCore;
using System.Runtime.Remoting.Metadata.W3cXsd2001;

namespace SSTC.Controllers
{
    [Authorize(Roles = "Admin,Accountant")]
    public class AccountantController : Controller
    {
        SQLiteDBContext db = new SQLiteDBContext();
        // GET: Accountant
        public ActionResult Raports()
        {

            List<User> users = db.User.Where(u => u.IsDeleted == false).ToList();

            return View(users);
        }
        public ActionResult Monthly(int id)
        {

            User user = db.User.Where(u => u.Id == id).First();

            return new ActionAsPdf("PrintMonthly", new { _id = id, month = DateTime.Now.Month }) { FileName = "Raport-Miesieczny-Za-Miesiac-" + DateTime.Now.ToString("MMMM") + "-" + user.FullName + "-" + DateTime.Now.ToShortDateString() + ".pdf" };
        }
        public ActionResult PrevMonthly(int id)
        {

            User user = db.User.Where(u => u.Id == id).First();

            return new ActionAsPdf("PrintMonthly", new { _id = id, month = DateTime.Now.Month - 1 }) { FileName = "Raport-Miesieczny-Za-Miesiac-" + DateTime.Now.AddMonths(-1).ToString("MMMM") + "-" + user.FullName + "-" + DateTime.Now.ToShortDateString() + ".pdf" };
        }

        public ActionResult PrintMonthly(int _id, int month)
        {

            MonthlyDTO monthly = new MonthlyDTO();
            monthly.user = db.User.Include(u => u.Contract).Where(u => u.Id == _id).First();
            monthly.registries = db.Registry.Include(r=>r.Project).Where(r => r.User.Id == _id && r.RegDate.Month == month).ToList();
            foreach (var r in monthly.registries)
            {
                monthly.numOfWorkedHours += r.NumOfHours.Hours;
                monthly.numOfOvertime += r.NumOfOvertime.Hours;
            }
            monthly.numOfWorkedDays = monthly.numOfWorkedHours / monthly.user.Contract.HoursDaily;
            monthly.FullSalary = monthly.user.Contract.GrossAmount + monthly.user.Contract.HourlyRateProject * monthly.numOfOvertime;

            return View(monthly);
        }
    }
}

SSTC/Views/Accountant/PrintMonthly.cshtml
@model SSTC.Models.MonthlyDTO
@{
    ViewBag.Title = "Drukuj Raport Miesięczny";
}
    <div>
        <h2>Raport miesięczny dla: @Model.user.FullName</h2>
        <table class="table table-bordered table-condensed table-striped">
            <tr>
                <td>Ilość przepracowanych dni:</td>
                <td>@Model.numOfWorkedDays</td>
            </tr>
            <tr>
                <td>Ilość przepracowanych godzin:</td>
                <td>@Model.numOfWorkedHours</td>
            </tr>
            <tr>
                <td>Ilość przepracowanych nadgodzin:</td>
                <td>@Model.numOfOvertime</td>
            </tr>
            <tr>
                <td>Pensja:</td>
                <td>@Model.FullSalary</td>
            </tr>
        </table>
        <h3>Lista zarejestrowanych dni</h3>
        <table class="table table-bordered table-condensed table-striped">
            <tr>
                <th>
                    <span>Nazwa projektu</span>
                </th>
                <th>
                    <span>Data</span>
                </th>
                <th>
                    <span>Liczba godzin</span>
                </th>
                <th>
                    <span>Liczba nadgodzin</span>
                </th>
            </tr>

            @foreach (var item in Model.registries)
            {
                <tr>
                    <td>
                        <span id=@("nameStatic" + item.Id)>@item.Project.Name</span>
                    </td>
                    <td>
                        <span id=@("nameStatic" + item.Id)>@item.RegDate</span>
                    </td>
                    <td>
                        <span id=@("nameStatic" + item.Id)>@item.NumOfHours</span>
                    </td>
                    <td>
                        <span id=@("nameStatic" + item.Id)>@item.NumOfOvertime</span>
                    </td>
                </tr>
            }
        </table>
    </div>

SSTC/Views/Accountant/Raports.cshtml
@model List<SSTC.Entity.User>
@{
    ViewBag.Title = "Raporty";
}

<h2>Raporty</h2>
<div class="panel panel-default">

    <table class="table table-bordered table-condensed table-striped">
        <tr>
            <th>
                <span>Nazwa</span>
            </th>
            <th></th>
        </tr>

        @foreach (var item in Model)
        {
            <tr>
                @using (@Html.BeginForm("SaveEditCategory", "Admin", FormMethod.Post))
                {
                    <td>
                        <span>@item.FullName</span>
                    </td>
                    <td class="text-right">
                        <input class="btn btn-group btn-sm btn-b2" type="button" value="Raport z tego miesiąca" onclick="location.href='@Url.Action("Monthly", "Accountant", new { id = item.Id})'" />
                        <input class="btn btn-group btn-sm btn-b2" type="button" value="Raport z poprzedniego miesiąca" onclick="location.href='@Url.Action("PrevMonthly", "Accountant", new { id = item.Id})'" />
                    </td>
                }

            </tr>
        }
    </table>
</div>